commit:     1471d440792a94bb6937315bf9b961503451e107
Author:     Amy Winston <amynka <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 24 13:57:24 2015 +0000
Commit:     Amy Winston <amynka <AT> gentoo <DOT> org>
CommitDate: Sat Oct 24 13:57:24 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1471d440

sci-geosciences/grass: fix icon location, add die. By wraeth.

Package-Manager: portage-2.2.20.1

 sci-geosciences/grass/grass-7.0.1-r2.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/sci-geosciences/grass/grass-7.0.1-r2.ebuild 
b/sci-geosciences/grass/grass-7.0.1-r2.ebuild
index b211da2..0083447 100644
--- a/sci-geosciences/grass/grass-7.0.1-r2.ebuild
+++ b/sci-geosciences/grass/grass-7.0.1-r2.ebuild
@@ -186,7 +186,7 @@ src_install() {
                PREFIX="${D}usr/" \
                install
 
-       pushd "${D}usr/${MY_PM}" &> /dev/null
+       pushd "${D}usr/${MY_PM}" &> /dev/null || die
 
        # fix docs
        dodoc AUTHORS CHANGES
@@ -207,7 +207,7 @@ src_install() {
                mv "${D}usr/share/locale/pt_br" "${D}usr/share/locale/pt_BR" || 
die
        fi
 
-       popd &> /dev/null
+       popd &> /dev/null || die
 
        # place libraries where they belong
        mv "${D}usr/${MY_PM}/lib/" "${D}usr/$(get_libdir)/" || die
@@ -238,7 +238,7 @@ src_install() {
                local GUI="-gui"
                [[ ${WX_BUILD} == yes ]] && GUI="-wxpython"
                make_desktop_entry "/usr/bin/${MY_PM} ${GUI}" "${PN}" 
"${PN}-48x48" "Science;Education"
-               doicon gui/icons/${PN}-48x48.png
+               doicon -s 48 gui/icons/${PN}-48x48.png
        fi
 
        # install .pc file so other apps know where to look for grass

Reply via email to